<?php

namespace Modules\Pp\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\Auth;
use Spatie\Activitylog\Contracts\Activity;
use Spatie\Activitylog\Traits\LogsActivity;
class OutsideFactory extends Model
{

    use HasFactory,LogsActivity;
    protected $table = 'pp_outside_factory';
    protected static $logAttributes = [
        'outside_factory_id',
        'outside_factory_code',
        'outside_factory_name',
        'outside_factory_place',
        'outside_factory_description',
        'supplier_id',
        'status',
    ];
    protected static $logOnlyDirty = true;
    public function tapActivity(Activity $activity, string $eventName)
    {
        $activity->log_name = "pp_outside_factory";
        $activity->description = $eventName;
        $activity->causer_id = Auth::user()->id;
    }
}
